classification
Title: Make the `cwd` argument to `subprocess.Popen` accept a `PathLike`
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, cool-RR, ncoghlan, sayanchowdhury, xiang.zhang
Priority: normal Keywords:

Created on 2016-11-06 12:45 by cool-RR, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 157 merged python-dev, 2017-02-18 11:26
PR 323 merged berker.peksag, 2017-02-26 17:11
PR 623 merged zach.ware, 2017-03-11 22:43
PR 703 larry, 2017-03-17 21:00
PR 552 closed dstufft, 2017-03-31 16:36
Messages (4)
msg288074 - (view) Author: Sayan Chowdhury (sayanchowdhury) * Date: 2017-02-18 11:48
I tested and found that the code already works with PathLike. I have created a PR which updates the test and documentation. I think the issue can be in Windows.
msg288605 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-02-26 17:39
Thanks for the patch, Sayan!
msg290377 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-03-24 23:40
New changeset 6b81003bdbd9375886bae54f876650bcdccfe6c7 by Berker Peksag in branch '3.6':
bpo-28624: Add a test that checks that cwd parameter of Popen() accepts PathLike objects (#157) (#323)
https://github.com/python/cpython/commit/6b81003bdbd9375886bae54f876650bcdccfe6c7
msg290378 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-03-24 23:40
New changeset d5c11f7ace48701bb950c6345deee88c35c66e26 by Berker Peksag (Sayan Chowdhury) in branch 'master':
bpo-28624: Add a test that checks that cwd parameter of Popen() accepts PathLike objects (#157)
https://github.com/python/cpython/commit/d5c11f7ace48701bb950c6345deee88c35c66e26
History
Date User Action Args
2017-03-31 16:36:08dstufftsetpull_requests: + pull_request843
2017-03-24 23:40:17berker.peksagsetmessages: + msg290378
2017-03-24 23:40:08berker.peksagsetmessages: + msg290377
2017-03-17 21:00:32larrysetpull_requests: + pull_request586
2017-03-11 22:43:26zach.waresetpull_requests: + pull_request511
2017-02-26 17:39:04berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg288605

stage: patch review -> resolved
2017-02-26 17:11:17berker.peksagsetpull_requests: + pull_request284
2017-02-22 07:37:02xiang.zhangsetnosy: + xiang.zhang
2017-02-18 23:14:31berker.peksagsetstage: needs patch -> patch review
components: + Library (Lib), - Tests
versions: + Python 3.6
2017-02-18 22:48:51Jim Fasarakis-Hilliardsetcomponents: + Tests, - Library (Lib)
2017-02-18 11:48:32sayanchowdhurysetnosy: + sayanchowdhury
messages: + msg288074
2017-02-18 11:44:13ncoghlansetnosy: + ncoghlan
2017-02-18 11:26:24python-devsetpull_requests: + pull_request121
2016-11-07 16:26:06berker.peksagsetnosy: + berker.peksag

stage: needs patch
2016-11-06 12:45:35cool-RRsettype: enhancement
2016-11-06 12:45:19cool-RRcreate